Name:          glassfish-hk2
Version:       2.1.93
Release:       1%{?dist}
Summary:       Hundred Kilobytes Kernel
Group:         Development/Libraries
License:       CDDL or GPLv2 with exceptions
URL:           http://hk2.java.net/
# svn export https://svn.java.net/svn/hk2~svn/tags/hk2-parent-2.1.93  glassfish-hk2-2.1.93
# find glassfish-hk2-2.1.93 -name '*.jar' -type f -delete
# find glassfish-hk2-2.1.93 -name '*.class' -delete
# tar czf glassfish-hk2-2.1.93-clean-src-svn.tar.gz glassfish-hk2-2.1.93
Source0:       glassfish-hk2-2.1.93-clean-src-svn.tar.gz
# wget -O glassfish-LICENSE.txt https://svn.java.net/svn/glassfish~svn/tags/legal-1.1/src/main/resources/META-INF/LICENSE.txt
# glassfish-hk2 package don't include the license file
Source1:       glassfish-LICENSE.txt
# disable tiger-types copy
Patch0:        glassfish-hk2-2.1.92-hk2-utils-osgi_bundle.patch

BuildRequires: glassfish-master-pom
BuildRequires: java-devel
BuildRequires: jvnet-parent

BuildRequires: args4j
BuildRequires: atinject
BuildRequires: bcel
BuildRequires: bea-stax-api
BuildRequires: cdi-api
BuildRequires: cglib
# BuildRequires: codemodel
BuildRequires: felix-bundlerepository
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: glassfish-jaxb

# BuildRequires: hibernate-validator >= 5.0.1.Final
BuildRequires: istack-commons
BuildRequires: junit

BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven:maven-project)
BuildRequires: mvn(org.apache.maven:maven-compat)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-archiver)
BuildRequires: mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires: mvn(org.apache.maven.shared:maven-osgi)
BuildRequires: objectweb-asm
BuildRequires: osgi-resource-locator
BuildRequires: tiger-types
BuildRequires: woodstox-core

# test deps
BuildRequires: easymock3

BuildRequires: apt-maven-plugin
BuildRequires: maven-local
BuildRequires: maven-dependency-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
#BuildRequires: maven-jar-plugin
#BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
#BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: weld-parent

Requires:      java
BuildArch:     noarch

%description
HK2 for Hundred Kilobytes Kernel is an abstraction to
a module subsystem coupled with a simple yet powerful
component model to build server side software.

%package api
Group:         Development/Libraries
Summary:       HK2 API module
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-utils = %{version}-%{release}
Requires:      atinject
Requires:      osgi-resource-locator

%description api
%{summary}.

%package apt
Group:         Development/Libraries
Summary:       HK2 Inhabitants' index generator
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-api = %{version}-%{release}
Requires:      %{name}-utils = %{version}-%{release}
Requires:      %{name}-class-model = %{version}-%{release}
#Requires:      glassfish-jaxb
Requires:      java-devel
Requires:      tiger-types

%description apt
HK2 Index generator for auto-depends.

%package class-model
Group:         Development/Libraries
Summary:       Class Model for Hk2
Requires:      %{name} = %{version}-%{release}
Requires:      felix-osgi-core
Requires:      junit
Requires:      objectweb-asm

%description class-model
%{summary}.

%if 0
%package config
Group:         Development/Libraries
Summary:       HK2 configuration module
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      bea-stax-api
Requires:      hibernate-validator
Requires:      jtype
Requires:      slf4j
Requires:      tiger-types
Requires:      woodstox-core

%description config
%{summary}.
%endif

%package core
Group:         Development/Libraries
Summary:       HK2 core module
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-locator = %{version}-%{release}
Requires:      %{name}-utils = %{version}-%{release}
Requires:      bea-stax-api

%description core
%{summary}.

%package dependency-verifier
Group:         Development/Libraries
Summary:       HK2 Static Analyser for verifying module dependency
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      %{name}-osgi = %{version}-%{release}
Requires:      bcel
Requires:      felix-osgi-core

%description dependency-verifier
HK2 Static Analyser for verifying module dependency.

%package dependency-visualizer
Group:         Development/Libraries
Summary:       HK2 Tool to visualize the dependencies
Requires:      %{name} = %{version}-%{release}
Requires:      args4j

%description dependency-visualizer
Tool to visualize the dependencies generated by
HK2's dependency-verifier.

%package guice-bridge
Group:         Development/Libraries
Summary:       HK2 Guice Bridge
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-api = %{version}-%{release}
Requires:      atinject
Requires:      google-guice

%description guice-bridge
%{summary}.

%package inhabitant-generator
Group:         Development/Libraries
Summary:       HK2 Inhabitant Generator - maven plugin
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-api = %{version}-%{release}
Requires:      atinject
Requires:      junit
Requires:      mvn(org.apache.maven:maven-plugin-api)
Requires:      mvn(org.apache.maven:maven-project)
Requires:      objectweb-asm

%description inhabitant-generator
%{summary}.

%package locator
Group:         Development/Libraries
Summary:       HK2 ServiceLocator Default Implementation
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-api = %{version}-%{release}
Requires:      %{name}-utils = %{version}-%{release}
Requires:      atinject
Requires:      bea-stax-api
Requires:      cglib
Requires:      junit
Requires:      objectweb-asm
Requires:      tiger-types

%description locator
%{summary}.

%package maven
Group:         Development/Libraries
Summary:       HK2 Module system maven support
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      felix-osgi-core
Requires:      mvn(org.apache.maven:maven-compat)
Requires:      mvn(org.apache.maven:maven-core)
Requires:      mvn(org.apache.maven:maven-artifact)
Requires:      mvn(org.apache.maven:maven-archiver)


%description maven
HK2 Maven plugin for developing.

%package maven-plugins
Group:         Development/Libraries
Summary:       HK2 Maven Plugins
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      mvn(org.apache.maven:maven-plugin-api)
Requires:      mvn(org.apache.maven.shared:maven-osgi)
Requires:      mvn(org.apache.maven.plugins:maven-compiler-plugin)

%description maven-plugins
This package provides:
* consolidated bundle Maven plugin,
* osgiversion-maven-plugin - Maven Plugin for
computing OSGi versions from Maven versions.

%package osgi
Group:         Development/Libraries
Summary:       HK2 OSGi Adapter
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-api = %{version}-%{release}
Requires:      %{name}-core = %{version}-%{release}
Requires:      felix-bundlerepository
Requires:      felix-osgi-compendium
Requires:      felix-osgi-core

%description osgi
HK2 Maven plugin for developing.

%package runlevel
Group:         Development/Libraries
Summary:       HK2 Run Level Service
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-api = %{version}-%{release}
Requires:      %{name}-locator = %{version}-%{release}
Requires:      junit

%description runlevel
%{summary}.

%package testing
Group:         Development/Libraries
Summary:       Utilities for testing with HK2
Requires:      %{name} = %{version}-%{release}
Requires:      %{name}-api = %{version}-%{release}
Requires:      %{name}-locator = %{version}-%{release}
Requires:      atinject
Requires:      objectweb-asm
Requires:      junit

%description testing
%{summary}.

%package utils
Group:         Development/Libraries
Summary:       HK2 Implementation Utilities
Requires:      %{name} = %{version}-%{release}
Requires:      atinject
Requires:      junit

%description utils
%{summary}.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n glassfish-hk2-%{version}
%patch0 -p0

%pom_disable_module ../external public
# unavailable deps: org.ops4j.pax.exam pax-exam pax-exam-junit pax-exam-container-default pax-exam-junit-extender-impl
%pom_disable_module osgi-adapter-test osgi/adapter-tests

%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin


sed -i "s|<artifactId>asm-debug-all</artifactId>|<artifactId>asm-all</artifactId>|" external/asm-all/pom.xml
for d in hk2-inhabitant-generator hk2-locator hk2-testing/hk2-junitrunner;do
%pom_remove_dep org.glassfish.hk2.external:asm-all-repackaged $d
%pom_remove_dep org.glassfish.hk2.external:javax.inject $d
%pom_add_dep asm:asm-all $d
%pom_add_dep javax.inject:javax.inject $d
done
for d in hk2-locator;do
%pom_remove_dep org.glassfish.hk2.external:cglib $d
%pom_add_dep cglib:cglib $d
done

%pom_remove_plugin :maven-assembly-plugin dependency-visualizer
# disable tiger-types copy
%pom_remove_plugin :maven-dependency-plugin hk2-utils

sed -i "s|<artifactId>osgi_R4_core</artifactId>|<artifactId>org.osgi.core</artifactId>|" hk2-maven/pom.xml
sed -i "s|<artifactId>maven-project</artifactId>|<artifactId>maven-core</artifactId>|" hk2-maven/pom.xml
%pom_add_dep org.apache.maven:maven-compat  hk2-maven

# hibernate-validator >= 5.0.0.Final
%pom_disable_module ../hk2-config kernel
%if 0
sed -i "s|<groupId>woodstox</groupId>|<groupId>org.codehaus.woodstox</groupId>|" hk2-config/pom.xml
sed -i "s|<artifactId>wstx-asl</artifactId>|<artifactId>woodstox-core-asl</artifactId>|" hk2-config/pom.xml
%pom_remove_dep org.glassfish.hk2.external:bean-validator hk2-config
%pom_xpath_inject "pom:project/pom:dependencies" "
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
            <version>5.0.1.Final</version>
        </dependency>" hk2-config
%pom_xpath_inject "pom:project/pom:dependencies" "
        <dependency>
            <groupId>com.googlecode.jtype</groupId>
            <artifactId>jtype</artifactId>
            <version>0.1.0</version>
        </dependency>" hk2-config
%pom_xpath_inject "pom:project/pom:dependencies" "
        <dependency>
           <groupId>org.slf4j</groupId>
           <artifactId>slf4j-jdk14</artifactId>
           <version>1.5.6</version>
        </dependency>" hk2-config
%endif
# TODO
# disabled for now.
# depend on hk2-config
%pom_disable_module ../config-generator kernel
%pom_disable_module ../config-types kernel

# org.osgi org.osgi.enterprise 4.2.0
# https://bugzilla.redhat.com/show_bug.cgi?id=809532
#%%pom_remove_dep org.osgi:org.osgi.enterprise class-model
sed -i "s|<artifactId>org.osgi.enterprise|<artifactId>org.osgi.compendium|" class-model/pom.xml

%pom_remove_dep org.glassfish.hk2:config-types hk2

%pom_remove_dep org.glassfish.hk2:devtests bom

%pom_disable_module ../hk2 kernel

%pom_disable_module ../examples kernel

# remove classpath from manifest
sed -i "s|<addClasspath>true</addClasspath>|<addClasspath>false</addClasspath>|" dependency-verifier/pom.xml

# this test fail
# java.security.AccessControlException: access denied ("java.io.FilePermission" 
# ".../BUILD/glassfish-hk2-2.1.92/hk2-locator/target/surefire/surefire_4934182316520890420tmp" "read")
# rm -rf hk2-locator/src/test/java/*
%pom_xpath_remove "pom:build/pom:plugins/pom:plugin[pom:artifactId ='maven-surefire-plugin']/pom:configuration" hk2-locator

# TODO required gendir.jar in hk2-inhabitant-generator/src/test/resources
# formed by usage of the following source directory
# examples/ctm/src/main/java/org/glassfish/examples/ctm
# hk2-inhabitant-generator/src/test/java/org/jvnet/hk2/generator/tests
rm -rf hk2-inhabitant-generator/src/test/java/org/jvnet/hk2/generator/tests/

cp -p %{SOURCE1} LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%build
# some tests fails for various cause
mvn-rpmbuild -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 bom/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-bom.pom
%add_maven_depmap JPP.%{name}-bom.pom
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom
install -pm 644 public/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-public.pom
%add_maven_depmap JPP.%{name}-public.pom
install -pm 644 build/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-build.pom
%add_maven_depmap JPP.%{name}-build.pom
install -pm 644 kernel/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-kernel-parent.pom
%add_maven_depmap JPP.%{name}-kernel-parent.pom

mkdir -p %{buildroot}%{_javadir}/%{name}

for mod in api \
%if 0
  config \
%endif
  inhabitant-generator \
  locator \
  maven \
  runlevel \
  utils; do
  install -m 644 hk2-${mod}/target/hk2-${mod}-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/hk2-${mod}.jar
  install -pm 644 hk2-${mod}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-hk2-${mod}.pom
%add_maven_depmap JPP.%{name}-hk2-${mod}.pom %{name}/hk2-${mod}.jar -f ${mod}
done
%if 0
install -m 644 hk2-config/target/hk2-config-%{version}-tests.jar \
    %{buildroot}%{_javadir}/%{name}/hk2-config-tests.jar
%endif
# TODO config-generator config-types ... hk2
for mod in class-model \
  core; do
  install -m 644 ${mod}/target/${mod}-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/${mod}.jar
  install -pm 644 ${mod}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${mod}.pom
%add_maven_depmap JPP.%{name}-${mod}.pom %{name}/${mod}.jar -f ${mod}
done

install -m 644 apt/target/auto-depends-plugin-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/auto-depends-plugin.jar
  install -pm 644 apt/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-auto-depends-plugin.pom
%add_maven_depmap JPP.%{name}-auto-depends-plugin.pom %{name}/auto-depends-plugin.jar -f apt

for mod in dependency-verifier \
  dependency-visualizer; do
  install -m 644 ${mod}/target/hk2-${mod}-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/hk2-${mod}.jar
  install -pm 644 ${mod}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-hk2-${mod}.pom
%add_maven_depmap JPP.%{name}-hk2-${mod}.pom %{name}/hk2-${mod}.jar -f ${mod}
done

install -m 644 guice-bridge/target/guice-bridge-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/guice-bridge.jar
install -pm 644 guice-bridge/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-guice-bridge.pom
%add_maven_depmap JPP.%{name}-guice-bridge.pom %{name}/guice-bridge.jar -f guice-bridge

install -m 644 hk2-testing/hk2-junitrunner/target/hk2-junitrunner-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/hk2-junitrunner.jar
install -pm 644 hk2-testing/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-testing.pom
%add_maven_depmap JPP.%{name}-testing.pom -f testing
install -pm 644 hk2-testing/hk2-junitrunner/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-hk2-junitrunner.pom
%add_maven_depmap JPP.%{name}-hk2-junitrunner.pom %{name}/hk2-junitrunner.jar -f testing

install -m 644 osgi/adapter/target/osgi-adapter-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/osgi-adapter.jar

install -m 644 osgi/adapter-tests/contract-bundle/target/contract-bundle-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/contract-bundle.jar 
install -m 644 osgi/adapter-tests/faux-sdp-bundle/target/faux-sdp-bundle-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/faux-sdp-bundle.jar
install -m 644 osgi/adapter-tests/sdp-management-bundle/target/sdp-management-bundle-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/sdp-management-bundle.jar
install -m 644 osgi/adapter-tests/test-module-startup/target/test-module-startup-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/test-module-startup.jar

install -pm 644 osgi/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-osgi.pom
%add_maven_depmap JPP.%{name}-osgi.pom -f osgi
install -pm 644 osgi/adapter/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-osgi-adapter.pom
%add_maven_depmap JPP.%{name}-osgi-adapter.pom %{name}/osgi-adapter.jar -f osgi
install -pm 644 osgi/adapter-tests/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-osgi-adapter-tests-parent.pom
%add_maven_depmap JPP.%{name}-osgi-adapter-tests-parent.pom -f osgi
install -pm 644 osgi/adapter-tests/contract-bundle/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-contract-bundle.pom
%add_maven_depmap JPP.%{name}-contract-bundle.pom %{name}/contract-bundle.jar -f osgi
install -pm 644 osgi/adapter-tests/faux-sdp-bundle/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-faux-sdp-bundle.pom
%add_maven_depmap JPP.%{name}-faux-sdp-bundle.pom %{name}/faux-sdp-bundle.jar -f osgi
install -pm 644 osgi/adapter-tests/sdp-management-bundle/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-sdp-management-bundle.pom
%add_maven_depmap JPP.%{name}-sdp-management-bundle.pom %{name}/sdp-management-bundle.jar -f osgi
install -pm 644 osgi/adapter-tests/test-module-startup/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-test-module-startup.pom
%add_maven_depmap JPP.%{name}-test-module-startup.pom %{name}/test-module-startup.jar -f osgi

for mod in consolidatedbundle-maven-plugin \
  osgiversion-maven-plugin; do
  install -m 644 ${mod}/target/${mod}-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}/${mod}.jar
  install -pm 644 ${mod}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-${mod}.pom
%add_maven_depmap JPP.%{name}-${mod}.pom %{name}/${mod}.jar -f maven-plugins
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%dir %{_javadir}/%{name}
%{_mavenpomdir}/JPP.%{name}-bom.pom
%{_mavenpomdir}/JPP.%{name}-parent.pom
%{_mavenpomdir}/JPP.%{name}-public.pom
%{_mavenpomdir}/JPP.%{name}-build.pom
%{_mavenpomdir}/JPP.%{name}-kernel-parent.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt

%files api
%{_javadir}/%{name}/hk2-api.jar
%{_mavenpomdir}/JPP.%{name}-hk2-api.pom
%{_mavendepmapfragdir}/%{name}-api
%doc LICENSE.txt

%files apt
%{_javadir}/%{name}/auto-depends-plugin.jar
%{_mavenpomdir}/JPP.%{name}-auto-depends-plugin.pom
%{_mavendepmapfragdir}/%{name}-apt
%doc LICENSE.txt

%files class-model
%{_javadir}/%{name}/class-model.jar
%{_mavenpomdir}/JPP.%{name}-class-model.pom
%{_mavendepmapfragdir}/%{name}-class-model
%doc LICENSE.txt
%if 0
%files config
%{_javadir}/%{name}/hk2-config.jar
%{_javadir}/%{name}/hk2-config-tests.jar
%{_mavenpomdir}/JPP.%{name}-hk2-config.pom
%{_mavendepmapfragdir}/%{name}-config
%doc LICENSE.txt
%endif
%files core
%{_javadir}/%{name}/core.jar
%{_mavenpomdir}/JPP.%{name}-core.pom
%{_mavendepmapfragdir}/%{name}-core
%doc LICENSE.txt

%files dependency-verifier
%{_javadir}/%{name}/hk2-dependency-verifier.jar
%{_mavenpomdir}/JPP.%{name}-hk2-dependency-verifier.pom
%{_mavendepmapfragdir}/%{name}-dependency-verifier
%doc LICENSE.txt

%files dependency-visualizer
%{_javadir}/%{name}/hk2-dependency-visualizer.jar
%{_mavenpomdir}/JPP.%{name}-hk2-dependency-visualizer.pom
%{_mavendepmapfragdir}/%{name}-dependency-visualizer
%doc LICENSE.txt

%files guice-bridge
%{_javadir}/%{name}/guice-bridge.jar
%{_mavenpomdir}/JPP.%{name}-guice-bridge.pom
%{_mavendepmapfragdir}/%{name}-guice-bridge
%doc LICENSE.txt

%files inhabitant-generator
%{_javadir}/%{name}/hk2-inhabitant-generator.jar
%{_mavenpomdir}/JPP.%{name}-hk2-inhabitant-generator.pom
%{_mavendepmapfragdir}/%{name}-inhabitant-generator
%doc LICENSE.txt

%files locator
%{_javadir}/%{name}/hk2-locator.jar
%{_mavenpomdir}/JPP.%{name}-hk2-locator.pom
%{_mavendepmapfragdir}/%{name}-locator
%doc LICENSE.txt

%files maven
%{_javadir}/%{name}/hk2-maven.jar
%{_mavenpomdir}/JPP.%{name}-hk2-maven.pom
%{_mavendepmapfragdir}/%{name}-maven
%doc LICENSE.txt

%files maven-plugins
%{_javadir}/%{name}/consolidatedbundle-maven-plugin.jar
%{_javadir}/%{name}/osgiversion-maven-plugin.jar
%{_mavenpomdir}/JPP.%{name}-consolidatedbundle-maven-plugin.pom
%{_mavenpomdir}/JPP.%{name}-osgiversion-maven-plugin.pom
%{_mavendepmapfragdir}/%{name}-maven-plugins
%doc LICENSE.txt

%files osgi
%{_javadir}/%{name}/osgi-adapter.jar
%{_javadir}/%{name}/test-module-startup.jar
%{_javadir}/%{name}/contract-bundle.jar
%{_javadir}/%{name}/faux-sdp-bundle.jar
%{_javadir}/%{name}/sdp-management-bundle.jar
%{_mavenpomdir}/JPP.%{name}-osgi.pom
%{_mavenpomdir}/JPP.%{name}-osgi-adapter.pom
%{_mavenpomdir}/JPP.%{name}-osgi-adapter-tests-parent.pom
%{_mavenpomdir}/JPP.%{name}-test-module-startup.pom
%{_mavenpomdir}/JPP.%{name}-contract-bundle.pom
%{_mavenpomdir}/JPP.%{name}-faux-sdp-bundle.pom
%{_mavenpomdir}/JPP.%{name}-sdp-management-bundle.pom
%{_mavendepmapfragdir}/%{name}-osgi
%doc LICENSE.txt

%files runlevel
%{_javadir}/%{name}/hk2-runlevel.jar
%{_mavenpomdir}/JPP.%{name}-hk2-runlevel.pom
%{_mavendepmapfragdir}/%{name}-runlevel
%doc LICENSE.txt

%files testing
%{_javadir}/%{name}/hk2-junitrunner.jar
%{_mavenpomdir}/JPP.%{name}-testing.pom
%{_mavenpomdir}/JPP.%{name}-hk2-junitrunner.pom
%{_mavendepmapfragdir}/%{name}-testing
%doc LICENSE.txt

%files utils
%{_javadir}/%{name}/hk2-utils.jar
%{_mavenpomdir}/JPP.%{name}-hk2-utils.pom
%{_mavendepmapfragdir}/%{name}-utils
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Tue May 14 2013 gil cattaneo <puntogil@libero.it> 2.1.93-1
- update to 2.1.93

* Fri Apr 26 2013 gil cattaneo <puntogil@libero.it> 2.1.92-1
- update to 2.1.92

* Sat Oct 13 2012 gil cattaneo <puntogil@libero.it> 2.1.37-1
- update to 2.1.37

* Sat Oct 06 2012 gil cattaneo <puntogil@libero.it> 2.1.35-1
- update to 2.1.35

* Sat Aug 25 2012 gil cattaneo <puntogil@libero.it> 2.1.34-1
- initial rpm